X2Go Bug report logs - #1163
X2Go client for windows crashes on connect

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Matt Jackson <phpmy@outlook.com>

Date: Tue, 21 Mar 2017 03:40:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1163; Package x2goclient. (Tue, 21 Mar 2017 03:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Jackson <phpmy@outlook.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 21 Mar 2017 03:40:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Matt Jackson <phpmy@outlook.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: X2Go client for windows crashes on connect
Date: Tue, 21 Mar 2017 03:32:26 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient

Version: 4.1.0.0


When I connect to a linux x2go server from the windows client, it brings up the "connecting" dialog, but both the x2go client and VcXsrv Server then crash without error.   The previous version of x2goclient did not have this issue.  In fact, if I downgrade to v4.0.5.2, everything starts working again.  I have another Windows PC with the same configuration connecting to the same server and it does not have this issue with v4.1.0.0.


My configuration:


Client OS: Windows 10

Server OS: ArchLinux (x2goserver v4.1.0.0)


VcXsrv settings:

-rootless -notrayicon -clipboard -keyhook

start x-server on x2goclient start


Session prefs:

Try auto login via SSH Agent (using pagaent provided by x2goclient)


Session Type - Custom Desktop

Command - /usr/bin/startxfce4


Input/Output - Xinerama disabled


Media & Shared Folders - SSH port forwarding disabled


Here's the output log in debug mode:


PS C:\Program Files (x86)\x2goclient> .\x2goclient.debug.exe --debug
x2go-INFO-1> "Starting X2Go Client..."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-DEBUG-../src/onmainwindow.cpp:10108> Getting X.Org Server settings.
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:518> "$HOME=C:/Users/xxxx"
x2go-DEBUG-../src/onmainwindow.cpp:2279> Reading 1 sessions from config file.
x2go-DEBUG-../src/sessionbutton.cpp:341> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:10011> Starting helper servers for Windows ...
x2go-DEBUG-../src/onmainwindow.cpp:10178> "/cygdrive/C/Users/xxxx/.x2go/var" cygwin var path
x2go-DEBUG-../src/onmainwindow.cpp:10261> "C:/Users/xxxx/.x2go/etc/sshd_config created."
x2go-Dx2go-DEBUG-../src/onmainwEindow.cpp:9771> Resolved lBUG-.o./src/calhost.
onmainwindow.cpp:9771> Resolved localhost.
x2x2ggo-o-DDEEBUG-../BUGsrc-..//onmainwsrc/oindow.nmacpp:97in93>wi Pndowort .cpis frp:ee9793: > P7022ort
 is free: 6000
x2go-DEBUG-../src/onmainwindow.cpp:9859> Using internal X.Org Server: false
x2go-DEBUG-.x2go-./srDEBUGc-..//onmsrc/onaimanwinindwiow.cpp:99ndow.cpp27>:10 Ru611>nn Ling "Cog:/ging Pcyrogram Files (
x86)gwi/x2goclient/VcXsrv/vcxsrn v.ssexhde" t "o: "C:/User-rs/ooMatlttes/.s x2g-no/otrayssichLogons/ -Hp41clipbo16ard -k
eyhook .lo:0g""

x2go-DEBUG-../src/onmainwindow.cpp:10625> Creating desktop: x2go_xxxx
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/pulsemanager.cpp:232> pulse started with arguments("--exit-idle-time=-1", "-n", "-F", "C:\Users\xxxx\.
x2go\pulse\config.pa", "-p", "C:\Program Files (x86)\x2goclient\pulse\lib\pulse-7.1\modules", "--log-level=debug", "--ve
rbose", "--log-target=file:C:\Users\xxxx\.x2go\pulse\pulse.log") ; waiting for finish...
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9799> Port already in use: 6000
x2go-DEBUG-../src/onmainwindow.cpp:9956> X.Org Server started.
x2go-DEBUG-../src/onmainwindow.cpp:10153> All helper servers for Windows are started.
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
x2go-DEBUG-../src/onmainwindow.cpp:9771> Resolved localhost.
x2go-DEBUG-../src/onmainwindow.cpp:9793> Port is free: 7022
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
x2go-DEBUG-../src/onmainwindow.cpp:10718> Failed to start user mode OpenSSH server.
x2go-DEBUG-../src/onmainwindow.cpp:2759> Creating QPixmap with session icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:2826> Starting session via Smart Card, SSH Agent or Kerberos token.
x2go-INFO-8> "Starting connection to server: xxx.xxx.xxx.xxx:22"
x2go-DEBUG-../src/onmainwindow.cpp:2860> Starting new ssh connection to server:"xxx.xxx.xxx.xxx":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:175> SshMasterConnection, host "xxx.xxx.xxx.xxx"port 22user "xxxx"useproxy falseproxyserver ""proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:212> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:216> SshMasterConnection, instance SshMasterConnection(0x3ab5680)  created.
x2go-DEBUG-../src/sshmasterconnection.cpp:452> SshMasterConnection, instance SshMasterConnection(0x3ab5680)  entering thread.
x2go-DEBUG-../src/sshmasterconnection.cpp:488> libssh not initialized yet. Initializing.
x2go-DEBUG-../src/sshmasterconnection.cpp:532> Setting SSH directory to "C:/Users/xxxx/ssh"
x2go-DEBUG-../src/sshmasterconnection.cpp:799> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:814> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:650> Setting SSH directory to "C:/Users/xxxx/ssh"
QObject::killTimers: timers cannot be stopped from another thread


[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1163; Package x2goclient. (Wed, 05 Jul 2017 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pawel Kalita <p.kalita@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 05 Jul 2017 11:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 1163@bugs.x2go.org (full text, mbox):

From: Pawel Kalita <p.kalita@gmail.com>
To: 1163@bugs.x2go.org
Subject: the same issue on windows 7
Date: Wed, 5 Jul 2017 13:43:07 +0200
[Message part 1 (text/plain, inline)]
I am having the exact same issue on windows 7

Package: x2goclient
Version: 4.1.0.0

Client OS: Windows 7 Pro 64bit
Server OS: CentOS Linux 7.3  (x2goserver v4.0.1.20)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1163; Package x2goclient. (Wed, 09 Aug 2017 11:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jochem Kuijpers" <jochem@kuijpersadvies.nl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 09 Aug 2017 11:55:01 GMT) Full text and rfc822 format available.

Message #15 received at 1163@bugs.x2go.org (full text, mbox):

From: "Jochem Kuijpers" <jochem@kuijpersadvies.nl>
To: <1163@bugs.x2go.org>
Subject: UAC
Date: Wed, 9 Aug 2017 13:45:17 +0200
[Message part 1 (text/plain, inline)]
I've got the same ussiue with multiple versions of x2go client. Finnaly
figured it out, turns out this happens when UAC (User Account Control
settings) in windows is set to "Never notify". Changed the setting back to
the default setting and it's working again.

 

--

 

Jochem Kuijpers

 

Jochem Kuijpers Advies en Dienstverlening 

Rijnstraat 23 

5463JG Veghel

 

Tel: 0413-712900

GSM: 06-51017812

e-mail:  <mailto:jochem@kuijpersadvies.nl> jochem@kuijpersadvies.nl

 

KvK: 17249591

BTW: NL150943787B01

 

Op alle opdrachten zijn onze algemene voorwaarden van toepassing.

Deze worden u op verzoek toegestuurd of kunt u
<http://www.kuijpersadvies.nl/downloads/Algemene%20Voorwaarden%20Jochem%20Ku
ijpers%20Advies%20en%20Dienstverlening.pdf> hier downloaden.

 

[Message part 2 (text/html, inline)]
[smime.p7s (application/pkcs7-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 04:03:40 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.